#include <bits/stdc++.h>

#define pb push_back

using namespace std;


int main() {
    vector<int> sol;
    int n, k, x;
    cin >> n >> k >> x;
    if (k == 3) {
        if (n == 2) {
            cout << -1 << endl;
            return 0;
        }
        else if (n == 3) {
            cout << -1 << endl;
        }
        else {
            for (int i = 1; i<=k; i++) {
                sol.pb(i);
            }
            int last = sol[k-1];
            for (int i = 1; i<=n-k-1; i++) {
                sol.pb(last+1);
            }
            sol.pb(last+x);
        }
        for (auto e : sol) {
            cout << e << " ";
        }
    }

    return 0;
}